import { IDesignerCanvas } from "../../widgets/designerView/IDesignerCanvas.js";
import { IDragDropService } from "./IDragDropService.js";
import { IDesignItem } from "../../item/IDesignItem.js";
import { IPlacementService } from "../placementService/IPlacementService.js";
export declare class DragDropService implements IDragDropService {
    private _dragOverExtensionItem;
    private _oldX;
    private _oldY;
    private _currentDragDropFormatNameElementDefinition;
    constructor();
    dragEnter(designerCanvas: IDesignerCanvas, event: DragEvent): void;
    dragLeave(designerCanvas: IDesignerCanvas, event: DragEvent): void;
    dragOver(designerCanvas: IDesignerCanvas, event: DragEvent): Promise<void>;
    drop(designerCanvas: IDesignerCanvas, event: DragEvent): Promise<void>;
    getPossibleContainerForDragDrop(designerCanvas: IDesignerCanvas, event: DragEvent, designItems?: IDesignItem[]): [newContainerElementDesignItem: IDesignItem, newContainerService: IPlacementService];
}
